---
agentTools:
  projectIndex: https://nexaflow.readme.io/llms.txt
---

# Currency Converter

API to convert currency from one currency to another.
Accepts multiple amounts in a single api call.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "This is the documentation for the CMS API",
    "version": "1.0.0",
    "title": "CMS Documentation"
  },
  "paths": {
    "/currency-converter/convert": {
      "post": {
        "tags": [
          "currency-converter"
        ],
        "summary": "Currency Converter",
        "description": "API to convert currency from one currency to another.\nAccepts multiple amounts in a single api call.\n",
        "operationId": "currencyConverter",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "from",
                  "to",
                  "amount"
                ],
                "properties": {
                  "from": {
                    "type": "string",
                    "description": "The currency code of the currency you are converting from.\nNote : Code can be obtained from list api\n"
                  },
                  "to": {
                    "type": "string",
                    "description": "The currency code of the currency you are converting to.\nNote : Code can be obtained from list api\n"
                  },
                  "amount": {
                    "type": "array",
                    "items": {
                      "type": "number"
                    }
                  }
                }
              }
            }
          },
          "description": "Request body",
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "number"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid status value"
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Swagger",
    "url": "http://swagger.io"
  },
  "servers": [
    {
      "url": "https://api.nexaflow.xyz/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 100,
      "1": 95,
      "2": 49,
      "3": 0,
      "4": 6,
      "5": 159,
      "6": 138,
      "7": 0,
      "8": 30,
      "9": 188,
      "10": 93,
      "11": 185
    }
  }
}
```